Module jdk.compiler
Package com.sun.source.doctree

## Interface DocTree

All Known Subinterfaces:
  `AttributeTree`, `AuthorTree`, `BlockTagTree`, `CommentTree`, `DeprecatedTree`, `DocCommentTree`, `DocRootTree`, `DocTypeTree`, `EndElementTree`, `EntityTree`, `ErroneousTree`, `HiddenTree`, `IdentifierTree`, `IndexTree`, `InheritDocTree`, `InlineTagTree`, `LinkTree`, `LiteralTree`, `ParamTree`, `ProvidesTree`, `ReferenceTree`, `ReturnTree`, `SeeTree`, `SerialDataTree`, `SerialFieldTree`, `SerialTree`, `SinceTree`, `StartElementTree`, `SummaryTree`, `TextTree`, `ThrowsTree`, `UnknownBlockTagTree`, `UnknownInlineTagTree`, `UsesTree`, `ValueTree`, `VersionTree`

    public interface DocTree

Common interface for all nodes in a documentation syntax tree.

Since:
  1.8

### Nested Class Summary

Nested Classes
`static class` `DocTree.Kind` Enumerates all kinds of trees.

### Method Summary

All Methods Instance Methods Abstract Methods
`<R,​D> R` `accept​(DocTreeVisitor<R,​D> visitor, D data)` Accept method used to implement the visitor pattern.
`DocTree.Kind` `getKind()` Returns the kind of this tree.

### Method Detail

#### getKind

    DocTree.Kind getKind()

Returns the kind of this tree.

Returns:
  the kind of this tree.

#### accept

    <R,​D> R accept​(DocTreeVisitor<R,​D> visitor,
                         D data)

Accept method used to implement the visitor pattern. The visitor pattern is used to implement operations on trees.

Type Parameters:
  `R` - result type of this operation.
  `D` - type of additional data.
Parameters:
  `visitor` - the visitor to be called
  `data` - a parameter value to be passed to the visitor method
Returns:
  the value returned from the visitor method